Bug 11202 - CTDB has portability issues
CTDB has portability issues
Status: RESOLVED FIXED
Product: CTDB 2.5.x or older
Classification: Unclassified
Component: ctdb
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11204
  Show dependency treegraph
 
Reported: 2015-04-08 07:30 UTC by Martin Schwenke
Modified: 2015-04-20 19:38 UTC (History)
1 user (show)

See Also:


Attachments
Patches for 4.2 (6.64 KB, patch)
2015-04-09 05:12 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2015-04-08 07:30:04 UTC
This is to backport fixes for portability issues to 4.2.1.  Issues were reported on samba-technical mailing list or #samba-technical.

Commits from master:

            a5c5eee  ctdb-scripts: Try to deal with Ubuntu having /usr/sbin/service
            4638010  ctdb-scripts: Don't use the GNU awk gensub() function
            39686f4  ctdb-scripts: Fix tunable setup code by making it shell-agnostic
Comment 1 Martin Schwenke 2015-04-09 05:12:55 UTC
Created attachment 10938 [details]
Patches for 4.2
Comment 2 Amitay Isaacs 2015-04-09 12:29:25 UTC
Hi Karolin,

More fixes for 4.2.1.
Comment 3 Karolin Seeger 2015-04-09 19:16:43 UTC
(In reply to Amitay Isaacs from comment #2)

Hi Amitay,

the release branch for 4.2.1 has been frozen yesterday. Does 4.2.2 work for you? 

Karolin
Comment 4 Karolin Seeger 2015-04-19 19:12:50 UTC
Pushed to v4-2-test.
Comment 5 Karolin Seeger 2015-04-20 19:38:29 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!